import 'package:flutter/material.dart';
import 'package:flyinsono/lab/mock_data/mock_rpc.dart';
import 'package:flyinsono/lab/pages/lab_create_project/widgets/create_project.dart';
import 'package:get/get.dart';

import 'index.dart';

class LabCreateProjectPage extends GetView<LabCreateProjectController> {
  const LabCreateProjectPage({Key? key, this.projectModel}) : super(key: key);

  get tabHashCode => this.hashCode.toString();
  final ProjectModel? projectModel;
  @override
  Widget build(BuildContext context) {
    // tabHashCode: this.hashCode
    return GetBuilder<LabCreateProjectController>(
      init: LabCreateProjectController(
        tabHashCode: this.hashCode,
        projectModel: projectModel,
      ),
      builder: (_) {
        return CreateProject();
      },
    );
  }
}
